> For the complete documentation index, see [llms.txt](https://docs.chiliz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chiliz.com/jp/kaihatsu/chiliz-chain-api.md).

# Chiliz Chain API

Chiliz Chain API は、CHZ の供給量とガバナンスに関する有用な情報へのアクセスを提供します。これには、特定のブロックまでの循環供給量の詳細や、指定したアドレスの staking 情報が含まれます。

## API の詳細

### ベース URL

API のベース URL は <https://cc-api.chiliz.com/> です。

デフォルトの Swagger ドキュメントはこちらで入手できます: <https://cc-api.chiliz.com/docs>

### 認証

Chiliz Chain API は、セキュリティスキームの定義に [OpenAPI Specification](https://www.openapis.org/) (OAS) v3.0.3 を使用しています。

特定の認証方法は本ドキュメントでは詳述していないため、認証方法の詳細については [OAS 3.0 specification](https://spec.openapis.org/oas/v3.0.3.html) を参照してください。

### データ形式

すべてのリクエストとレスポンスは JSON 形式です。

## エンドポイント

### GET /supply

指定したブロック番号までの CHZ の現在の循環供給量を、ブロック固有のインフレーションおよびデフレーション情報とともに取得します。

## GET /supply

>

```json
{"openapi":"3.0.3","info":{"title":"Chiliz Chain API","version":"0.1.0"},"paths":{"/supply":{"get":{"parameters":[{"schema":{"type":"number"},"in":"query","name":"block","required":false}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"block":{"type":"string"},"totalSupply":{"type":"string"},"blockDeflation":{"type":"string"},"blockInflation":{"type":"string"},"totalBurnedSupply":{"type":"string"},"totalIntroducedSupply":{"type":"string"}},"required":["block","totalSupply","blockDeflation","blockInflation","totalBurnedSupply","totalIntroducedSupply"],"additionalProperties":false}}}}}}}}}
```

### GET /staker-info

特定のアドレスについて、ある epoch 番号までの現在の総 staked 量と staking 報酬を、CHZ がどこに staked されているか（validator と数量）の詳細とともに取得します。

## GET /staker-info

>

```json
{"openapi":"3.0.3","info":{"title":"Chiliz Chain API","version":"0.1.0"},"paths":{"/staker-info":{"get":{"parameters":[{"schema":{"type":"string"},"in":"query","name":"validator","required":false},{"schema":{"type":"string"},"in":"query","name":"staker","required":true},{"schema":{"type":"number"},"in":"query","name":"toEpoch","required":false}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"totalRewards":{"type":"string"},"stakedAmount":{"type":"string"},"allStakes":{"type":"array","items":{"type":"object","properties":{"validator":{"type":"string"},"stakedAmount":{"type":"number"}},"required":["validator","stakedAmount"],"additionalProperties":false}}},"required":["totalRewards","stakedAmount","allStakes"],"additionalProperties":false}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chiliz.com/jp/kaihatsu/chiliz-chain-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
